Ask Your Question
0

problem in installing swift

asked 2013-12-04 00:28:12 -0500

pragya jain gravatar image

hello,

I am installing swift using link http://docs.openstack.org/developer/swift/development_saio.html

I am getting following error: root@pragya-Aspire-5742:~# mkfs.xfs /srv/swift-disk The program 'mkfs.xfs' is currently not installed. You can install it by typing: apt-get install xfsprogs root@pragya-Aspire-5742:~# apt-get install xfsprogs Reading package lists... Done Building dependency tree Reading state information... Done xfsprogs is already the newest version. 0 upgraded, 0 newly installed, 0 to remove and 654 not upgraded. root@pragya-Aspire-5742:~# mkfs.xfs /srv/swift-disk The program 'mkfs.xfs' is currently not installed. You can install it by typing:

apt-get install xfsprogs

Please help me in this regard

edit retag flag offensive close merge delete

1 answer

Sort by ยป oldest newest most voted
0

answered 2013-12-04 01:54:24 -0500

dheeru gravatar image
http://docs.openstack.org/developer/swift/development_saio.html
Did you install the dependencies as suggested in the link ? It is better to check.
Also I hope /sbin is in your path. Check it by doing echo #PATH
edit flag offensive delete link more

Comments

root@pragya-Aspire-5742:~# apt-get update http://paste.openstack.org/show/54406/ root@pragya-Aspire-5742:~# apt-get install curl gcc memcached rsync sqlite3 xfsprogs git-core libffi-dev python-setuptools http://paste.openstack.org/show/54407/ root@pragya-Aspire-5742:~# apt-get install python-coverage python-dev python-nose python-simplejson python-xattr python-eventlet python-greenlet python-pastedeploy python-netifaces python-pip python-dnspython python-mock http://paste.openstack.org/show/54408/ root@pragya-Aspire-5742:~# apt-get install python-coverage python-dev python-nose python-simplejson python-xattr python-eventlet python-greenlet python-pastedeploy python-netifaces python-pip python-dnspython python-mock http://paste.openstack.org/show/54409/ root@pragya-Aspire-5742:~# mkfs.xfs /srv/swift-disk The program 'mkfs.xfs' is currently not installed. You can install it by typing: apt-get install xfsprogs root@pragya-Aspire-5742:~# apt-get install xfsprogs Reading package lists..

pragya jain gravatar imagepragya jain ( 2013-12-04 02:19:28 -0500 )edit

I had installed all dependencies. i am sending my work in above comment Please help

pragya jain gravatar imagepragya jain ( 2013-12-04 02:20:20 -0500 )edit

hope you checked your kernel knows about the xfs partition.

grep -q xfs /proc/filesystems || sudo modprobe xfs

rajavin parvai gravatar imagerajavin parvai ( 2014-06-24 08:31:40 -0500 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Get to know Ask OpenStack

Resources for moderators

Question Tools

1 follower

Stats

Asked: 2013-12-04 00:28:12 -0500

Seen: 127 times

Last updated: Dec 04 '13